Subject: bug#22573: critical error during 'guix pull'

From: Nils Gillmann <[email-masked]>
Date: Sat, 06 Feb 2016 22:19:03 +0100

Leo Famulari <[email-masked]> writes:

> On Sat, Feb 06, 2016 at 03:33:56PM +0100, Nils Gillmann wrote:
>> Hi, today 15:30 EU/Berlin Timezone I started guix pull and got this output:
>> 
>> Starting download of /tmp/guix-file.bHtiW7
>> From http://git.savannah.gnu.org/cgit/guix.git/snapshot/master.tar.gz...
>>  master.tar.gz  1KiB                2.5MiB/s 00:00 [####################] 100.0%
>> unpacking '/gnu/store/ig37bb33y7vnpay722b541ljlqvmyjbm-guix-latest.tar.gz'...
>> 
>> gzip: stdin: not in gzip format
>> /gnu/store/9m8jg38cy0j95cb1gmi784ms85nn68vr-tar-1.28/bin/tar: Child returned status 1
>> /gnu/store/9m8jg38cy0j95cb1gmi784ms85nn68vr-tar-1.28/bin/tar: Error is not recoverable: exiting now
>> guix pull: error: failed to unpack source code
>
> Since the capabilities of hydra.gnu.org are sometimes outstripped by
> user demand, users sometimes experience repeatable network failures
> while downloading. We have raised the funds to buy a more powerful
> machine for hydra.gnu.org and to host it.
>

I tend to forget this, thanks for the reminder.

> Do you know if this succeeded for you during the period while the Guix
> git repository's HEAD was unchanged? Althought, I don't see how state of
> HEAD could make a difference to whether or not the gzip encoding was
> successful.
>

I'm not sure, and maybe I should raise my personal level for reporting
things hydra related. I tried 5-8 times with failures, and minutes later
it succeeded. I can't point anymore what was going on, the logs tell me
the only commit ~7 hours ago was icecat.

As this is not really a bug it could be closed if there's nothing more I
could provide?

-- 
ng/ni*
vcard: http://krosos.sdf.org